MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000475XdebugUsage problems (Wrong Results)public2009-09-28 14:072010-04-05 14:18
Reporterbhofmann 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0dev 
Target Version2.1.0RC1Fixed in Version 
Summary0000475: Property names with null chars are not sent fully to the client
DescriptionIf you debug a code like this:

$a = array("example\0key" => "Value");

and then do a property get on the variable $a, the "sub-property" will have "example" as named instead of "example\0key".
TagsNo tags attached.
Operating System
PHP Version5.3.0
Attached Files

- Relationships

-  Notes
(0001096)
derick (administrator)
2009-10-17 18:02

I can reproduce this, but it's really tricky to fix so it'll have to wait until all the other things.
(0001432)
derick (administrator)
2010-04-05 14:18

Fixed in revision 3251.

- Issue History
Date Modified Username Field Change
2009-09-28 14:07 bhofmann New Issue
2009-09-28 14:07 bhofmann PHP Version => 5.3.0
2009-09-28 14:07 bhofmann Xdebug Version => 2.0.5
2009-10-17 18:02 derick Note Added: 0001096
2010-03-20 23:50 derick Target Version => 2.1.0RC1
2010-04-05 14:18 derick Note Added: 0001432
2010-04-05 14:18 derick Status new => closed
2010-04-05 14:18 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker